org.eclipse.rdf4j.sail.memory.config

## Class MemoryStoreConfig

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.AbstractSailImplConfig
  - - org.eclipse.rdf4j.sail.base.config.BaseSailConfig
    - - org.eclipse.rdf4j.sail.memory.config.MemoryStoreConfig

- All Implemented Interfaces:
    SailImplConfig

      public class MemoryStoreConfig
      extends BaseSailConfig

  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoryStoreConfig()`
    `MemoryStoreConfig(boolean persist)`
    `MemoryStoreConfig(boolean persist, long syncDelay)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Resource` | `export(Model graph)`
    `boolean` | `getPersist()`
    `long` | `getSyncDelay()`
    `void` | `parse(Model graph, Resource implNode)`
    `void` | `setPersist(boolean persist)`
    `void` | `setSyncDelay(long syncDelay)`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.base.config.BaseSailConfig

      `getEvaluationStrategyFactory, getEvaluationStrategyFactoryClassName, setEvaluationStrategyFactoryClassName`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractSailImplConfig

      `getConnectionTimeOut, getIterationCacheSyncThreshold, getType, setConnectionTimeOut, setIterationCacheSyncThreshold, setType, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemoryStoreConfig

          public MemoryStoreConfig()

    - #### MemoryStoreConfig

          public MemoryStoreConfig(boolean persist)

    - #### MemoryStoreConfig

          public MemoryStoreConfig(boolean persist,
                                   long syncDelay)

  - ### Method Detail

    - #### getPersist

          public boolean getPersist()

    - #### setPersist

          public void setPersist(boolean persist)

    - #### getSyncDelay

          public long getSyncDelay()

    - #### setSyncDelay

          public void setSyncDelay(long syncDelay)

    - #### export

          public Resource export(Model graph)

      Specified by:
        `export` in interface `SailImplConfig`
      Overrides:
        `export` in class `BaseSailConfig`

    - #### parse

          public void parse(Model graph,
                            Resource implNode)
                     throws SailConfigException

      Specified by:
        `parse` in interface `SailImplConfig`
      Overrides:
        `parse` in class `BaseSailConfig`
      Throws:
        `SailConfigException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.